Skip to main content
PATCH
/
v1
/
tags
/
{tagId}
cURL
curl --request PATCH \
  --url https://platform.thena.ai/v1/tags/{tagId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "Cat",
  "color": "#FF0000",
  "description": "<string>"
}
'
import requests

url = "https://platform.thena.ai/v1/tags/{tagId}"

payload = {
    "name": "Cat",
    "color": "#FF0000",
    "description": "<string>"
}
headers = {
    "x-api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: 'Cat', color: '#FF0000', description: '<string>'})
};

fetch('https://platform.thena.ai/v1/tags/{tagId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": true,
  "message": "Success",
  "timestamp": "2024-01-01T00:00:00.000Z",
  "data": {
    "id": "<string>",
    "name": "<string>",
    "color": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "description": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

Enter your API key

Path Parameters

tagId
string
required

Body

application/json
name
string
required

The name of the tag

Required string length: 1 - 50
Example:

"Cat"

color
string
required

Color in hexadecimal format

Pattern: ^#([A-Fa-f0-9]{6})$
Example:

"#FF0000"

tagType
enum<string>
required

The type of the tag

Available options:
ticket,
skills
description
string | null

Optional description of the tag

Response

Operation successful

status
boolean
default:true
required

The status of the response

message
string
default:Success
required

The message of the response

timestamp
string<date-time>
default:2024-01-01T00:00:00.000Z
required

The timestamp of the response

data
object
required

The response for create/update/delete tag operations